As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 676340 - Crash [@ nsAccessible::NativeState() ] (called by nsXULTextFieldAccessible::GetValue)
: Crash [@ nsAccessible::NativeState() ] (called by nsXULTextFieldAccessible::G...
Status: RESOLVED FIXED
[qa-]
: access
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla7
Assigned To: alexander :surkov
:
: alexander :surkov
Mentors:
: 672297 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-03 11:59 PDT by alexander :surkov
Modified: 2011-09-22 16:44 PDT (History)
7 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
patch (940 bytes, patch)
2011-08-03 11:59 PDT, alexander :surkov
tbsaunde+mozbugs: review+
christian: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Comment 1 User image Trevor Saunders (:tbsaunde) 2011-08-03 13:33:32 PDT
Comment on attachment 550454 [details] [diff] [review]
patch

SHOULDN'T YOU GET THE MSAA METHOD AS WELL AS THE XPCOM ONE? BUT i DON'T REALLY CARE SINCE i'LL ET IT SOON ANYWAY IF YOU DON'T
Comment 2 User image alexander :surkov 2011-08-03 19:56:11 PDT
(In reply to comment #1)
> Comment on attachment 550454 [details] [diff] [review] [diff] [details] [review]
> patch
> 
> SHOULDN'T YOU GET THE MSAA METHOD AS WELL AS THE XPCOM ONE? BUT i DON'T
> REALLY CARE SINCE i'LL ET IT SOON ANYWAY IF YOU DON'T

that would be safer, but not technically correct, and yes I wouldn't care much since it goes away.
Comment 3 User image alexander :surkov 2011-08-03 21:10:03 PDT
inbound land http://hg.mozilla.org/integration/mozilla-inbound/rev/f0075fe638ee
Comment 4 User image alexander :surkov 2011-08-03 23:54:38 PDT
*** Bug 672297 has been marked as a duplicate of this bug. ***
Comment 5 User image alexander :surkov 2011-08-04 02:33:34 PDT
landed http://hg.mozilla.org/mozilla-central/rev/f0075fe638ee
Comment 6 User image Karel Jára 2011-08-15 14:35:38 PDT
Firefox 6 keeps crashing with this.
Comment 7 User image alexander :surkov 2011-08-16 05:09:07 PDT
Comment on attachment 550454 [details] [diff] [review]
patch

can we get it into Firefox 7? Trivial patch, no risk. High crash numbers in accessibility module.
Comment 8 User image alexander :surkov 2011-08-16 05:09:56 PDT
(In reply to Karel Jára from comment #6)
> Firefox 6 keeps crashing with this.

Firefox 6 was shipped, all we can do is to try to get it into Firefox 7.
Comment 9 User image Karel Jára 2011-08-19 11:31:10 PDT
This should definitely be reopened or a new bug should be filed od this nsAccessible::NativeState() bug. Recently I hasn’t been able to retrieve my latest crash reports with FF 7 beta. But with FF 6 beta it often did after a download has been completed.
Comment 10 User image [:Cww] 2011-08-22 15:00:09 PDT
(In reply to Karel Jára from comment #9)

This fix landed on the Nightly version of Firefox which is Firefox 8. The release drivers are currently debating whether to take this patch for Firefox 7.
Comment 11 User image alexander :surkov 2011-08-26 02:27:29 PDT
Marco, could you please land this patch on beta?
Comment 12 User image Trevor Saunders (:tbsaunde) 2011-08-26 19:24:11 PDT
(In reply to alexander surkov from comment #11)
> Marco, could you please land this patch on beta?

Marco was on vacation this week, but I landed it as http://hg.mozilla.org/releases/mozilla-beta/rev/61d6b5f9ee9f
Comment 13 User image David Bolter [:davidb] 2011-08-27 09:27:36 PDT
Excellent - thanks Trevor.
Comment 14 User image alexander :surkov 2011-08-28 20:44:05 PDT
(In reply to Trevor Saunders (:tbsaunde) from comment #12)
> (In reply to alexander surkov from comment #11)
> > Marco, could you please land this patch on beta?
> 
> Marco was on vacation this week, but I landed it as
> http://hg.mozilla.org/releases/mozilla-beta/rev/61d6b5f9ee9f

yes, thank you for doing this!
Comment 15 User image Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-09-22 16:44:12 PDT
qa- as no QA fix verification needed

Note You need to log in before you can comment on or make changes to this bug.